%define upstream_name    MooseX-ConfigFromFile
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    An abstract Moose role for setting attributes from a configfile
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Moose) >= 0.350.0
BuildRequires: perl(MooseX::Types::Path::Class) >= 0.40.0
BuildRequires: perl(MooseX::Types::Path::Tiny)
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.420.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::Without::Module)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
This is an abstract role which provides an alternate constructor for
creating objects using parameters passed in from a configuration file. The
actual implementation of reading the configuration file is left to concrete
subroles.

It declares an attribute 'configfile' and a class method 'new_with_config',
and requires that concrete roles derived from it implement the class method
'get_config_from_file'.

Attributes specified directly as arguments to 'new_with_config' supercede
those in the configfile.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-2.mga4
+ Revision: 534794
- Mageia 4 Mass Rebuild

* Sat Sep 14 2013 sander85 <sander85> 0.120.0-1.mga4
+ Revision: 478896
- update to 0.12

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 370149
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 19 2011 jquelin <jquelin> 0.40.0-1.mga2
+ Revision: 184207
- update to 0.04

* Wed Jan 26 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 39995
- mageia rebuild
- imported package perl-MooseX-ConfigFromFile

